﻿@model eCommerce.BackOffice.ViewModels.StockExchangeViewModel
@using eCommerce.Services.Model.Enums


<div class="row">
    <div class="col-lg-6 form-group">
        <select class="form-control" name="MovementType" id="MovementType" data-plugin="select2">
            <option value="">Tipo de Movimiento</option>
            <option value="@((int)StockMovementTypeEnum.Ingreso)">Ingreso</option>
            <option value="@((int)StockMovementTypeEnum.Egreso)">Egreso</option>
        </select>
    </div>
    <div class="col-lg-6 form-group">
        <select class="form-control" name="DepositId" id="DepositId" data-plugin="select2">
            <option value="" selected="selected">Depósito</option>
            @if (Model.Deposits != null)
            {
                foreach (var item in Model.Deposits)
                {
                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                }
            }
        </select>
    </div>
    <div class="col-lg-12 form-group">
        <select class="form-control" name="ProductId_sm" id="ProductId_sm" data-plugin="select2" onchange="GetProductSizes()">
            <option value="" selected="selected">Productos</option>
            @if (Model.Products != null)
            {
                foreach (var item in Model.Products)
                {
                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                }
            }
        </select>
    </div>
    <div class="col-lg-5 form-group">
        <select class="form-control" name="SizeId_sm" id="SizeId_sm" data-plugin="select2" onchange="GetProductSizeColors()">
            @*<option value="" selected="selected">Talle</option>
            @if (Model.Sizes != null)
            {
                foreach (var item in Model.Sizes)
                {
                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                }
            }*@
        </select>
    </div>
    <div class="col-lg-5 form-group">
        <select class="form-control" name="ColorId_sm" id="ColorId_sm" data-plugin="select2">
            <option value="" selected="selected">Color</option>
            @if (Model.Colors != null)
            {
                foreach (var item in Model.Colors)
                {
                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                }
            }
        </select>
    </div>
    <div class="col-lg-2 form-group">
        <input type="text" class="form-control" id="Quantity_sm" name="Quantity_sm" placeholder="Cant.">
    </div>
    <div class="col-lg-12 form-group">
        <input type="text" class="form-control" id="Concept" name="Concept" placeholder="Concepto">
    </div>
    <div class="col-sm-12 text-right">
        <button class="btn btn-primary btn-outline" type="submit" id="btnCreateStockMovement">
            Grabar
        </button>
    </div>
</div>
